Find the answer to your Linux question:
Results 1 to 3 of 3
Hello, I am Wifiway user. I want to build glibc-2.12.1, and I need to build gcc-4.4.0 first. I type "./configure", and then "make". But I got this error: Code: checking ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Newbie
    Join Date
    Nov 2009
    Posts
    104

    [SOLVED] can't build gcc-4.4.0


    Hello, I am Wifiway user. I want to build glibc-2.12.1, and I need to build gcc-4.4.0 first. I type "./configure", and then "make". But I got this error:

    Code:
    checking for suffix of object files... configure: error: in `/root/Desktop/fuente/gcc-4.4.0/i686-pc-linux-gnu/libgcc':
    configure: error: cannot compute suffix of object files: cannot compile
    See `config.log' for more details.
    make[2]: *** [configure-stage1-target-libgcc] Error 1
    make[2]: se sale del directorio `/root/Desktop/fuente/gcc-4.4.0'
    make[1]: *** [stage1-bubble] Error 2
    make[1]: se sale del directorio `/root/Desktop/fuente/gcc-4.4.0'
    make: *** [all] Error 2
    Can anyone help me please??? Many thanks!!

  2. #2
    Linux Guru Rubberman's Avatar
    Join Date
    Apr 2009
    Location
    I can be found either 40 miles west of Chicago, in Chicago, or in a galaxy far, far away.
    Posts
    11,529
    This is not enough information to help you. Please describe your OS distribution+version+kernel, and what may be causing the "suffix" error. How are you trying to build your compiler suite?
    Sometimes, real fast is almost as good as real time.
    Just remember, Semper Gumbi - always be flexible!

  3. #3
    Linux Newbie
    Join Date
    Nov 2009
    Posts
    104
    Ok, I got wrong. I had already another version installed, newer, in my computer.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •